<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage namos
 * @since 1.0
 * @version 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div id="comments" class="comments-area">
<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) : ?>

		<div class="num-of-com">
			<span><?php printf( _nx( '01', '%1$s', get_comments_number(), 'comments title', 'namos' ), number_format_i18n( get_comments_number() ) );?></span>
			<?php printf( _nx( 'Comment', 'Comments', get_comments_number(), 'comments title', 'namos' ), number_format_i18n( get_comments_number() ) );?>
		</div>

		<ol class="comment-list">
			<?php wp_list_comments( 'callback=namos_theme_comment' ); ?>
		</ol>

		<?php the_comments_pagination( array(
			'prev_text' => '<span class="screen-reader-text">' . esc_html__( 'Previous', 'namos' ) . '</span>',
			'next_text' => '<span class="screen-reader-text">' . esc_html__( 'Next', 'namos' ) . '</span>',
		) );

	endif; // Check for have_comments().

	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'namos' ); ?></p>

	<?php
	endif;

	$aria_req = ( $req ? " aria-required='true'" : '' );
    $comment_args = array(
            'id_form' => 'ajax-form',                                
            'title_reply'=> '<div class="title"><h6>'.esc_html__('Let us know your thoughts:','namos').'</h6></div>',
            'fields' => apply_filters( 'comment_form_default_fields', array(
                'author' => '<div class="three columns remove-left" data-scroll-reveal="enter bottom move 60px over 1s after 0.3s"><label for="name"><span class="error" id="err-name">please enter name</span></label> <input class="" id="name" name="author" id="err-name" type="text" value="" placeholder="'. esc_html__( 'Your Name: *', 'namos' ) .'" /></div>',
                'email' => '<div class="three columns" data-scroll-reveal="enter bottom move 60px over 1s after 0.3s"><label for="email"> 
						<span class="error" id="err-email">please enter e-mail</span>
						<span class="error" id="err-emailvld">e-mail is not a valid format</span>
					</label><input class="" id="email" name="email" type="text" value="" placeholder="'. esc_html__( 'E-Mail: *', 'namos' ) .'" /></div><div class="clear"></div>', 
                //'url' => '<div class="col-md-4"><input class="form-control" id="url" name="url" type="text" value="" placeholder="'. esc_html__( 'Website', 'namos' ) .'" /></div></div>',
            ) ),                                
             'comment_field' => '<div class="six columns remove-top remove-left" data-scroll-reveal="enter bottom move 60px over 1s after 0.3s"><label for="message"></label><textarea class="" name="comment"'.$aria_req.' id="message" placeholder="'. esc_html__( 'your thoughts', 'namos' ) .'" ></textarea></div><div class="clear"></div>',                                                   
             'label_submit' => esc_html__( 'submit', 'namos' ),
             'class_submit'      => 'send_message button-effect button--moema button--text-thick button--text-upper button--size-s',
             'comment_notes_before' => '',
             'comment_notes_after' => '',               
    );
	comment_form($comment_args);
?>
</div><!-- #comments -->