<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage namos
 * @since 1.0
 * @version 1.2
 */

?>
	<div class="section padding-top-bottom background-black">

		<div class="container">
			<div class="six columns footer" data-scroll-reveal="enter bottom move 60px over 0.9s after 0.1s">
				<p><?php echo htmlspecialchars_decode(namos_get_option('copyright')) ?></p>
			</div>
			<?php if ( namos_get_option('socialfooter_switch') != false ){  ?>
			<div class="six columns" data-scroll-reveal="enter bottom move 60px over 0.9s after 0.1s">
				<ul class="footer-social">
					<?php $socials = namos_get_option( 'footer_socials', array() ); ?>
			        <?php foreach ( $socials as $social ) { ?>                                  
			            <li><a target="_blank" class="<?php echo esc_attr($social['social_icon']); ?>" href="<?php echo esc_url($social['social_link']); ?>"><?php echo esc_attr($social['social_name']); ?></a></li>                            
			        <?php } ?> 
				</ul>
			</div>
			<?php } ?>
		</div>
	</div>

	<div class="scroll-to-top tipped" data-title="<em>top</em>"  data-tipper-options='{"direction":"bottom","follow":"true","margin":20}'></div>
	
    <!-- footer close -->

<?php wp_footer(); ?>

</body>
</html>
